Добавил:
Upload Опубликованный материал нарушает ваши авторские права? Сообщите нам.
Вуз: Предмет: Файл:
шпоры стулов 3 копии сделай Гриша.docx
Скачиваний:
5
Добавлен:
01.05.2025
Размер:
140 Кб
Скачать
☆

14. Использование протоколов ipSec.

Набор протоколов, обеспечивающих защиту данных при передаче по межсетевому протоколу IP . разработан в 1994г. Советом по архитектуре в интернет. Включает в себя следующие стандарты:

• RFC 2401 – архитектура защиты протокола IP

• RFC 2402 – аутентификационный заголовок IP

• RFC 2403 – алгоритм хеширoвания MD 5

• RFC 2404 - алгоритм хеширования SHA 1

• RFC 2405 – алгоритм шифрования DES

• RFC 2406 – правила шифрования данных

• RFC 2407 - область применения протокола управления ключами

• RFC 2408 – управление ключами защищенных соединений

• RFC 2409 – обмен ключами

• RFC 2410 – нулевой алгоритм шифрования

• RFC 2411 – программа развития стандарта

• RFC 2412 – проверка соответствия ключей

IpSec относится к канальному уровню, но ближе к сетевому.

Протоколы IPSec:

1. ESP – обеспечивает конфиденциальность передаваемой информации путем обеспечения целостности виртуального соединения передачи данных.( данные в процессе передачи отсоединить от пакета не удастся)

2. ISAK MP – протокол первичной настройки соединения и обмена секретными ключами. Протокол IPSec работает в 2 режимах: транспортном и туннельном. В транспортном шифруются только данные IP пакета, заголовок сохраняется. Транспортный режим соединения между хостами - на 1 этапе заголовок шифровать нельзя. Туннельный режим шифрует IP пакет, данные заголовка и маршрутную информацию. Туннельный режим используется для удаленного подключения ПК к виртуальной части сети.

15. Конфигурирование шифрующей файловой системы.

Шифрованная файловая система EFC – средство шифрования файлов и папок на клиентских ПК, позволяет пользователям защитить свои данные от вешних злоумышленников. Нормальная работа в Windows Server 08( появилась возможность использовать смарт-карты). На смарт – картах можно хранить ключи, шифровать файлы в клиентском кэше. EFC имеет мастера повторного создания ключей, чтобы перевести пользователя с сертификатов на смарт – карты.

16. Основные принципы маршрутизации.

Маршрутизацией называется действие по перенаправлению пакета от одной лог.сети в другую. Маршрутизатор – устройство, выполняющее это действие. Функционирование маршрутизатора: Хост применяет операцию «U» к IP адресу отправителя и маски сети, если полученные данные совпадают то оба IP адреса находятся в одной сети. Если нужно определить mac-адрес устройства, то применяется широковещательная рассылка запроса. Если результаты не совпадают, то это значит, что получатель расположен в другой сети и для передачи пакета на хост получателя необходимо обратиться к маршрутизатору. Маршрутизатор проверяет в своей конфигурации IP адрес шлюза, применяемого по умолчанию , затем определяются mac-адреса шлюза по умолчанию, получив mac- адреса маршрута. Хост формирует пакет, используя IP адрес конечного получателя, но в качестве mac-адреса используется mac-адрес маршрутизатора. После получения пакета маршрутизатор проверяет пакет на наличие IP адреса получателя – маршрутизатор просматривает таблицу маршрутизации. В этой таблице маршрутизатор ищет маршрут сети получателя, если маршрут найден, то маршрутизатор вводит mac-адрес следующего устройства, находящегося в транзитном переходе, через который перенаправляется пакет данных. Если маршрут к удаленной сети не найден, то маршрутизатор отправляет сообщение что получатель не доступен.